package com.ffii.lioner.modules.lioner.commonField.entity;

import java.util.HashMap;
import java.util.Map;

import org.hibernate.annotations.JdbcTypeCode;
import org.hibernate.type.SqlTypes;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Inheritance;
import jakarta.persistence.InheritanceType;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;

/** @author Vin Luk */
@Entity
@Table(name = "common_field")
@Inheritance(strategy=InheritanceType.TABLE_PER_CLASS)
public class CommonField extends BaseEntity<Long>{
    //FNA
    @NotNull
	@Column
	private Long clientId;

    //This field shared with IDA
	@Column
	private String name;
    
    @Column
	private String dateOfBirth;

    @Column
	private String idCard;
   
    @Column
	private String occupation;

    @Column
	private String maritalStatus;

    @Column
	private String noOfDependents;

    @Column
	private String fna_a_life_0;

    @Column
	private String fna_a_life_less_5;

    @Column
	private String fna_a_life_above_5;

    @Column
	private String fna_c1a_amount;

    @Column
	private String fna_c1b_amount;

    @Column
	private String fna_c1c_1_amount;

    @Column
	private String fna_c1c_2_amount;

    @Column
	private String fna_c1c_3_amount;
    
    @Column
	private String fna_c1d_amount;

    @Column
	private String fna_c2a_amount;

    @Column
	private String fna_c2a_cash;

    @Column
	private String fna_c2a_market_account;

    @Column
	private String fna_c2a_bank_account;

    @Column
	private String fna_c2a_bonds;

    @Column
	private String fna_c2a_stocks;

    @Column
	private String fna_c2a_us;

    @Column
	private String fna_c2a_others;

    @Column
	private String fna_c2a_desc;
    
    @Column
	private String fna_c2b_amount;

    @Column
	private String fna_c2c_amount;

    @Column
	private String fna_c2d_amount;

    @Column
	private String fna_c2e_amount;

    @Column
	private String fna_b1_a;

    @Column
	private String fna_b1_a_amount;

    @Column
	private String fna_b1_b;

    @Column
	private String fna_b1a_4_amount;

    @Column
	private String fna_b1b_1;

    @Column
	private String fna_b1b_2;

    @Column
	private String fna_b1b_3;

    @Column
	private String fna_b1_c;

    @Column
	private String fna_b1_d;

    @Column
	private String fna_b1_d_year;

    @Column
	private String fna_b1_d_amount;

    @Column
	private String fna_b1_e;

    @Column
	private String fna_b1_f;

    @Column
	private String fna_b1_f_other;

    @Column
	private String fna_b1_f_desc;

    @Column
	private String fna_b2_a;
    
    @Column
	private String fna_b2_b;

    @Column
	private String fna_b2_c;

    @Column
	private String fna_b2_d;

    @Column
	private String fna_b2_e;

    @Column
	private String fna_b2_f;

    @Column
	private String fna_b2_g;

    @Column
	private String fna_c3a_2_5;

    @Column
	private String fna_c3a_6_10;

    @Column
	private String fna_c3a_11_15;

    @Column
	private String fna_c3a_16_20;

    @Column
	private String fna_c3a_20;

    @Column
	private String fna_c3a_life;

    @Column
	private String fna_c3a_single_pay;

    @Column
	private String fna_a_retire;

    @Column
	private String fna_c3b_salary;
    @Column
	private String fna_c3b_income;
    @Column
	private String fna_c3b_saving;
    @Column
	private String fna_c3b_investments;
    @Column
	private String fna_c3b_policy;

    @Column
	private String fna_c3b_others;

    @Column
	private String fna_c3b_desc;

    @Column
	private String fna_c3c_yes;

    @Column
	private String fna_c3c_no;

    @Column
	private String fna_c1e_10;

    @Column
	private String fna_c1e_10_20;

    @Column
	private String fna_c1e_21_30;

    @Column
	private String fna_c1e_31_40;

    @Column
	private String fna_c1e_41_50;

    @Column
	private String fna_c1e_50;

    @Column
	private String fna_c2f_10;

    @Column
	private String fna_c2f_10_20;

    @Column
	private String fna_c2f_21_30;

    @Column
	private String fna_c2f_31_40;

    @Column
	private String fna_c2f_41_50;

    @Column
	private String fna_c2f_50;

    @Column
	private String fna_d_1;

    @Column
	private String fna_d_2;

    @Column
	private String fna_d_3;

    @Column
	private String fna_d_desc;

    //IDA
    @Column
	private String firstName;

    @Column
	private String givenName;

    @Column
	private String genderMale;

    @Column
	private String genderFemale;
    
    @Column
	private String ddDateOfBirth;

    @Column
	private String mmDateOfBirth;

    @Column
	private String yyyyDateOfBirth;

    @Column
	private String nameChi;

    
    @Column
	private String contactNo;

    @Column
	private String eduPri;

    @Column
	private String eduSec;

    @Column
	private String eduPostSec;
    
    @Column
	private String email;

    //IDA
    @Column
	private String own_income;
    
    @Column
	private String savings;

    @Column
	private String premium_financing;

    @Column
	private String others_funds;

    @Column
	private String others_funds_desc;
   
    @Column
	private String placeOfBirth;

    @Column
	private String countryOfIssue;

    @Column
	private String countryOfCitizenship;

    @Column
	private String passportNo;

    @Column
	private String occupationTitle;

    @Column
	private String companyName;
    
    @Column
	private String companyNature1;

    @Column
	private String companyNature2;

    @Column
	private String taxResidency1;

    @Column
	private String taxResidency2;

    @Column
	private String taxResidency3;

    @Column
	private String taxPin1;
    
    @Column
	private String taxPin2;

    @Column
	private String taxPin3;

    @Column
	private String taxReason1;
    
    @Column
	private String taxReason2;

    @Column
	private String taxReason3;

    @Column
	private String taxReasonB1;

    @Column
	private String taxReasonB2;

    @Column
	private String taxReasonB3;

    @Column
	private String eduUni;

    @Column
	private String insuranceCompany1_1;

    @Column
	private String insuranceCompany1_2;
    
    @Column
	private String insuranceCompany1_3;

    @Column
	private String insuranceCompany2_1;

    @Column
	private String insuranceCompany2_2;
    
    @Column
	private String insuranceCompany2_3;

    @Column
	private String insuranceCompany3_1;

    @Column
	private String insuranceCompany3_2;
    
    @Column
	private String insuranceCompany3_3;

    @Column
	private String insuranceLife1;

    @Column
	private String insuranceSaving1;

    @Column
	private String insuranceCritical1;

    @Column
	private String insuranceOther1;

    @Column
	private String insuranceOtherDesc1;

    @Column
	private String insuranceLife2;

    @Column
	private String insuranceSaving2;

    @Column
	private String insuranceCritical2;

    @Column
	private String insuranceOther2;

    @Column
	private String insuranceOtherDesc2;

    @Column
	private String insuranceLife3;

    @Column
	private String insuranceSaving3;

    @Column
	private String insuranceCritical3;

    @Column
	private String insuranceOther3;

    @Column
	private String insuranceOtherDesc3;

    @Column
	private String insuranceYear1;

    @Column
	private String insuranceYear2;

    @Column
	private String insuranceYear3;

    @Column
	private String insuranceCurrency1;

    @Column
	private String insuranceCurrency2;

    @Column
	private String insuranceCurrency3;

    @Column
	private String employed;

    @Column
	private String homemaker;

    @Column
	private String student;

    @Column
	private String investor;

    @Column
	private String retired;

    @Column
	private String employedSelf;

    @Column
	private String employedNon;
    
    @Column
	private String partTime;

    @Column
	private String ultimateTotalLife;

    @Column
	private String declinedYes;
    
    @Column
	private String declinedNo;
    
    @Column
	private String declinedDesc;

    @Column
	private String hazardousActivity;

    @Column
	private String incomeSalary;

    @Column
	private String incomeSalaryLastYear;

    @Column
	private String incomeBonus;

    @Column
	private String incomeBonusLastYear;

    @Column
	private String incomeOther;

    @Column
	private String incomeOtherLastYear;

    @Column
	private String incomeInterest;

    @Column
	private String incomeInterestLastYear;

    @Column
	private String incomeDividents;

    @Column
	private String incomeDividentsLastYear;

    @Column
	private String incomeRentals;

    @Column
	private String incomeRentalsLastYear;
    
    @Column
	private String totalAnnualIncome;

    @Column
	private String assetCash;

    @Column
	private String assetInvestment;

    @Column
	private String assetRealEstate;

    @Column
	private String assetNetBusinessInterest;

    @Column
	private String assetProperties;

    @Column
	private String liaLoan;

    @Column
	private String liaMargin;

    @Column
	private String liaLoanGurantee;

    @Column
	private String liaMortgage;

    @Column
	private String liaOther;
    
    @Column
	private String realEstatePurchaseDate1;

    @Column
	private String realEstatePurchaseDate2;

    @Column
	private String realEstatePurchaseDate3;

    @Column
	private String bankruptYes;
    
    @Column
	private String bankruptNo;

    @Column
	private String bankruptDesc;

    @Column
	private String replaceInsuranceYes;

    @Column
	private String replaceInsuranceNo;

    /*

    @Column
	private String crAddressRoom;

    @Column
	private String crAddressFloor;

    @Column
	private String crAddressBlock;

    @Column
	private String crAddressBuilding;

    @Column
	private String crAddressStreet;

    @Column
	private String crAddressArea;

    @Column
	private String crAddressCity;

    @Column
	private String crAddressCountry;

    @Column
	private String crAddressPostalCode;

    @Column
	private String corAddressRoom;

    @Column
	private String corAddressFloor;

    @Column
	private String corAddressBlock;

    @Column
	private String corAddressBuilding;

    @Column
	private String corAddressStreet;

    @Column
	private String corAddressArea;

    @Column
	private String corAddressCity;

    @Column
	private String corAddressCountry;

    @Column
	private String corAddressPostalCode;
    
    */

    @Column
	private String tobarccoYes;

    @Column
	private String tobarccoNo;

    @Column(columnDefinition = "json")
    @JdbcTypeCode(SqlTypes.JSON)
    private Map<String, String> others = new HashMap<>();

    //this is a logical field
    @Column
	private String gender;

  

    public Long getClientId() {
        return clientId;
    }

    public void setClientId(Long clientId) {
        this.clientId = clientId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(String dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getGivenName() {
        return givenName;
    }

    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }

    public String getGenderMale() {
        return genderMale;
    }

    public void setGenderMale(String genderMale) {
        this.genderMale = genderMale;
    }

    public String getGenderFemale() {
        return genderFemale;
    }

    public void setGenderFemale(String genderFemale) {
        this.genderFemale = genderFemale;
    }

    public String getDdDateOfBirth() {
        return ddDateOfBirth;
    }

    public void setDdDateOfBirth(String ddDateOfBirth) {
        this.ddDateOfBirth = ddDateOfBirth;
    }

    public String getMmDateOfBirth() {
        return mmDateOfBirth;
    }

    public void setMmDateOfBirth(String mmDateOfBirth) {
        this.mmDateOfBirth = mmDateOfBirth;
    }

    public String getYyyyDateOfBirth() {
        return yyyyDateOfBirth;
    }

    public void setYyyyDateOfBirth(String yyyyDateOfBirth) {
        this.yyyyDateOfBirth = yyyyDateOfBirth;
    }

    public String getNameChi() {
        return nameChi;
    }

    public void setNameChi(String nameChi) {
        this.nameChi = nameChi;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getNoOfDependents() {
        return noOfDependents;
    }

    public void setNoOfDependents(String noOfDependents) {
        this.noOfDependents = noOfDependents;
    }

    public String getFna_a_life_0() {
        return fna_a_life_0;
    }

    public void setFna_a_life_0(String fna_a_life_0) {
        this.fna_a_life_0 = fna_a_life_0;
    }

    public String getFna_a_life_less_5() {
        return fna_a_life_less_5;
    }

    public void setFna_a_life_less_5(String fna_a_life_less_5) {
        this.fna_a_life_less_5 = fna_a_life_less_5;
    }

    public String getFna_a_life_above_5() {
        return fna_a_life_above_5;
    }

    public void setFna_a_life_above_5(String fna_a_life_above_5) {
        this.fna_a_life_above_5 = fna_a_life_above_5;
    }

    public String getFna_c1a_amount() {
        return fna_c1a_amount;
    }

    public void setFna_c1a_amount(String fna_c1a_amount) {
        this.fna_c1a_amount = fna_c1a_amount;
    }

    public String getFna_b1b_1() {
        return fna_b1b_1;
    }

    public void setFna_b1b_1(String fna_b1b_1) {
        this.fna_b1b_1 = fna_b1b_1;
    }

    public String getFna_b1b_2() {
        return fna_b1b_2;
    }

    public void setFna_b1b_2(String fna_b1b_2) {
        this.fna_b1b_2 = fna_b1b_2;
    }

    public String getFna_b1b_3() {
        return fna_b1b_3;
    }

    public void setFna_b1b_3(String fna_b1b_3) {
        this.fna_b1b_3 = fna_b1b_3;
    }

    public String getFna_c1b_amount() {
        return fna_c1b_amount;
    }

    public void setFna_c1b_amount(String fna_c1b_amount) {
        this.fna_c1b_amount = fna_c1b_amount;
    }

    public String getFna_c1c_1_amount() {
        return fna_c1c_1_amount;
    }

    public void setFna_c1c_1_amount(String fna_c1c_1_amount) {
        this.fna_c1c_1_amount = fna_c1c_1_amount;
    }

    public String getFna_c1c_2_amount() {
        return fna_c1c_2_amount;
    }

    public void setFna_c1c_2_amount(String fna_c1c_2_amount) {
        this.fna_c1c_2_amount = fna_c1c_2_amount;
    }

    public String getFna_c1c_3_amount() {
        return fna_c1c_3_amount;
    }

    public void setFna_c1c_3_amount(String fna_c1c_3_amount) {
        this.fna_c1c_3_amount = fna_c1c_3_amount;
    }

    public String getFna_c1d_amount() {
        return fna_c1d_amount;
    }

    public void setFna_c1d_amount(String fna_c1d_amount) {
        this.fna_c1d_amount = fna_c1d_amount;
    }

    public String getFna_c2a_amount() {
        return fna_c2a_amount;
    }

    public void setFna_c2a_amount(String fna_c2a_amount) {
        this.fna_c2a_amount = fna_c2a_amount;
    }
    
    public String getFna_c2a_cash() {
        return fna_c2a_cash;
    }

    public void setFna_c2a_cash(String fna_c2a_cash) {
        this.fna_c2a_cash = fna_c2a_cash;
    }

    public String getFna_c2a_market_account() {
        return fna_c2a_market_account;
    }

    public void setFna_c2a_market_account(String fna_c2a_market_account) {
        this.fna_c2a_market_account = fna_c2a_market_account;
    }

    public String getFna_c2a_bank_account() {
        return fna_c2a_bank_account;
    }

    public void setFna_c2a_bank_account(String fna_c2a_bank_account) {
        this.fna_c2a_bank_account = fna_c2a_bank_account;
    }

    public String getFna_c2a_bonds() {
        return fna_c2a_bonds;
    }

    public void setFna_c2a_bonds(String fna_c2a_bonds) {
        this.fna_c2a_bonds = fna_c2a_bonds;
    }

    public String getFna_c2a_stocks() {
        return fna_c2a_stocks;
    }

    public void setFna_c2a_stocks(String fna_c2a_stocks) {
        this.fna_c2a_stocks = fna_c2a_stocks;
    }

    public String getFna_c2a_us() {
        return fna_c2a_us;
    }

    public void setFna_c2a_us(String fna_c2a_us) {
        this.fna_c2a_us = fna_c2a_us;
    }

    public String getFna_c2a_others() {
        return fna_c2a_others;
    }

    public void setFna_c2a_others(String fna_c2a_others) {
        this.fna_c2a_others = fna_c2a_others;
    }

    public String getFna_c2a_desc() {
        return fna_c2a_desc;
    }

    public void setFna_c2a_desc(String fna_c2a_desc) {
        this.fna_c2a_desc = fna_c2a_desc;
    }

    public String getFna_c2b_amount() {
        return fna_c2b_amount;
    }

    public void setFna_c2b_amount(String fna_c2b_amount) {
        this.fna_c2b_amount = fna_c2b_amount;
    }

    public String getFna_c2c_amount() {
        return fna_c2c_amount;
    }

    public void setFna_c2c_amount(String fna_c2c_amount) {
        this.fna_c2c_amount = fna_c2c_amount;
    }

    public String getFna_c2d_amount() {
        return fna_c2d_amount;
    }

    public void setFna_c2d_amount(String fna_c2d_amount) {
        this.fna_c2d_amount = fna_c2d_amount;
    }

    public String getFna_c2e_amount() {
        return fna_c2e_amount;
    }

    public void setFna_c2e_amount(String fna_c2e_amount) {
        this.fna_c2e_amount = fna_c2e_amount;
    }

    public String getFna_b1_a() {
        return fna_b1_a;
    }

    public void setFna_b1_a(String fna_b1_a) {
        this.fna_b1_a = fna_b1_a;
    }

    public String getFna_b1_a_amount() {
        return fna_b1_a_amount;
    }

    public void setFna_b1_a_amount(String fna_b1_a_amount) {
        this.fna_b1_a_amount = fna_b1_a_amount;
    }

    public String getFna_b1_b() {
        return fna_b1_b;
    }

    public void setFna_b1_b(String fna_b1_b) {
        this.fna_b1_b = fna_b1_b;
    }

    public String getFna_b1a_4_amount() {
        return fna_b1a_4_amount;
    }

    public void setFna_b1a_4_amount(String fna_b1a_4_amount) {
        this.fna_b1a_4_amount = fna_b1a_4_amount;
    }

    public String getFna_b1_c() {
        return fna_b1_c;
    }

    public void setFna_b1_c(String fna_b1_c) {
        this.fna_b1_c = fna_b1_c;
    }

    public String getFna_b1_d() {
        return fna_b1_d;
    }

    public void setFna_b1_d(String fna_b1_d) {
        this.fna_b1_d = fna_b1_d;
    }

    public String getFna_b1_d_year() {
        return fna_b1_d_year;
    }

    public void setFna_b1_d_year(String fna_b1_d_year) {
        this.fna_b1_d_year = fna_b1_d_year;
    }

    public String getFna_b1_d_amount() {
        return fna_b1_d_amount;
    }

    public void setFna_b1_d_amount(String fna_b1_d_amount) {
        this.fna_b1_d_amount = fna_b1_d_amount;
    }

    public String getFna_b1_e() {
        return fna_b1_e;
    }

    public void setFna_b1_e(String fna_b1_e) {
        this.fna_b1_e = fna_b1_e;
    }

    public String getFna_b1_f() {
        return fna_b1_f;
    }

    public void setFna_b1_f(String fna_b1_f) {
        this.fna_b1_f = fna_b1_f;
    }

    public String getFna_b1_f_other() {
        return fna_b1_f_other;
    }

    public void setFna_b1_f_other(String fna_b1_f_other) {
        this.fna_b1_f_other = fna_b1_f_other;
    }

    public String getFna_b1_f_desc() {
        return fna_b1_f_desc;
    }

    public void setFna_b1_f_desc(String fna_b1_f_desc) {
        this.fna_b1_f_desc = fna_b1_f_desc;
    }

    public String getFna_b2_a() {
        return fna_b2_a;
    }

    public void setFna_b2_a(String fna_b2_a) {
        this.fna_b2_a = fna_b2_a;
    }

    public String getFna_b2_b() {
        return fna_b2_b;
    }

    public void setFna_b2_b(String fna_b2_b) {
        this.fna_b2_b = fna_b2_b;
    }

    public String getFna_b2_c() {
        return fna_b2_c;
    }

    public void setFna_b2_c(String fna_b2_c) {
        this.fna_b2_c = fna_b2_c;
    }

    public String getFna_b2_d() {
        return fna_b2_d;
    }

    public void setFna_b2_d(String fna_b2_d) {
        this.fna_b2_d = fna_b2_d;
    }

    public String getFna_b2_e() {
        return fna_b2_e;
    }

    public void setFna_b2_e(String fna_b2_e) {
        this.fna_b2_e = fna_b2_e;
    }

    public String getFna_b2_f() {
        return fna_b2_f;
    }

    public void setFna_b2_f(String fna_b2_f) {
        this.fna_b2_f = fna_b2_f;
    }

    public String getFna_b2_g() {
        return fna_b2_g;
    }

    public void setFna_b2_g(String fna_b2_g) {
        this.fna_b2_g = fna_b2_g;
    }

    public String getFna_c3a_2_5() {
        return fna_c3a_2_5;
    }

    public void setFna_c3a_2_5(String fna_c3a_2_5) {
        this.fna_c3a_2_5 = fna_c3a_2_5;
    }

    public String getFna_c3a_6_10() {
        return fna_c3a_6_10;
    }

    public void setFna_c3a_6_10(String fna_c3a_6_10) {
        this.fna_c3a_6_10 = fna_c3a_6_10;
    }

    public String getFna_c3a_11_15() {
        return fna_c3a_11_15;
    }

    public void setFna_c3a_11_15(String fna_c3a_11_15) {
        this.fna_c3a_11_15 = fna_c3a_11_15;
    }

    public String getFna_c3a_16_20() {
        return fna_c3a_16_20;
    }

    public void setFna_c3a_16_20(String fna_c3a_16_20) {
        this.fna_c3a_16_20 = fna_c3a_16_20;
    }

    public String getFna_c3a_20() {
        return fna_c3a_20;
    }

    public void setFna_c3a_20(String fna_c3a_20) {
        this.fna_c3a_20 = fna_c3a_20;
    }

    public String getFna_c3a_life() {
        return fna_c3a_life;
    }

    public void setFna_c3a_life(String fna_c3a_life) {
        this.fna_c3a_life = fna_c3a_life;
    }

    public String getFna_c3a_single_pay() {
        return fna_c3a_single_pay;
    }

    public void setFna_c3a_single_pay(String fna_c3a_single_pay) {
        this.fna_c3a_single_pay = fna_c3a_single_pay;
    }

    public String getFna_a_retire() {
        return fna_a_retire;
    }

    public void setFna_a_retire(String fna_a_retire) {
        this.fna_a_retire = fna_a_retire;
    }

    public String getFna_c3b_salary() {
        return fna_c3b_salary;
    }

    public void setFna_c3b_salary(String fna_c3b_salary) {
        this.fna_c3b_salary = fna_c3b_salary;
    }

    public String getFna_c3b_income() {
        return fna_c3b_income;
    }

    public void setFna_c3b_income(String fna_c3b_income) {
        this.fna_c3b_income = fna_c3b_income;
    }

    public String getFna_c3b_saving() {
        return fna_c3b_saving;
    }

    public void setFna_c3b_saving(String fna_c3b_saving) {
        this.fna_c3b_saving = fna_c3b_saving;
    }

    public String getFna_c3b_investments() {
        return fna_c3b_investments;
    }

    public void setFna_c3b_investments(String fna_c3b_investments) {
        this.fna_c3b_investments = fna_c3b_investments;
    }

    public String getFna_c3b_policy() {
        return fna_c3b_policy;
    }

    public void setFna_c3b_policy(String fna_c3b_policy) {
        this.fna_c3b_policy = fna_c3b_policy;
    }

    public String getFna_c3b_others() {
        return fna_c3b_others;
    }

    public void setFna_c3b_others(String fna_c3b_others) {
        this.fna_c3b_others = fna_c3b_others;
    }

    public String getFna_c3b_desc() {
        return fna_c3b_desc;
    }

    public void setFna_c3b_desc(String fna_c3b_desc) {
        this.fna_c3b_desc = fna_c3b_desc;
    }

    public String getFna_c3c_yes() {
        return fna_c3c_yes;
    }

    public void setFna_c3c_yes(String fna_c3c_yes) {
        this.fna_c3c_yes = fna_c3c_yes;
    }

    public String getFna_c3c_no() {
        return fna_c3c_no;
    }

    public void setFna_c3c_no(String fna_c3c_no) {
        this.fna_c3c_no = fna_c3c_no;
    }

    public String getFna_c1e_10() {
        return fna_c1e_10;
    }

    public void setFna_c1e_10(String fna_c1e_10) {
        this.fna_c1e_10 = fna_c1e_10;
    }

    public String getFna_c1e_10_20() {
        return fna_c1e_10_20;
    }

    public void setFna_c1e_10_20(String fna_c1e_10_20) {
        this.fna_c1e_10_20 = fna_c1e_10_20;
    }

    public String getFna_c1e_21_30() {
        return fna_c1e_21_30;
    }

    public void setFna_c1e_21_30(String fna_c1e_21_30) {
        this.fna_c1e_21_30 = fna_c1e_21_30;
    }

    public String getFna_c1e_31_40() {
        return fna_c1e_31_40;
    }

    public void setFna_c1e_31_40(String fna_c1e_31_40) {
        this.fna_c1e_31_40 = fna_c1e_31_40;
    }

    public String getFna_c1e_41_50() {
        return fna_c1e_41_50;
    }

    public void setFna_c1e_41_50(String fna_c1e_41_50) {
        this.fna_c1e_41_50 = fna_c1e_41_50;
    }

    public String getFna_c1e_50() {
        return fna_c1e_50;
    }

    public void setFna_c1e_50(String fna_c1e_50) {
        this.fna_c1e_50 = fna_c1e_50;
    }

    public String getFna_c2f_10() {
        return fna_c2f_10;
    }

    public void setFna_c2f_10(String fna_c2f_10) {
        this.fna_c2f_10 = fna_c2f_10;
    }

    public String getFna_c2f_10_20() {
        return fna_c2f_10_20;
    }

    public void setFna_c2f_10_20(String fna_c2f_10_20) {
        this.fna_c2f_10_20 = fna_c2f_10_20;
    }

    public String getFna_c2f_21_30() {
        return fna_c2f_21_30;
    }

    public void setFna_c2f_21_30(String fna_c2f_21_30) {
        this.fna_c2f_21_30 = fna_c2f_21_30;
    }

    public String getFna_c2f_31_40() {
        return fna_c2f_31_40;
    }

    public void setFna_c2f_31_40(String fna_c2f_31_40) {
        this.fna_c2f_31_40 = fna_c2f_31_40;
    }

    public String getFna_c2f_41_50() {
        return fna_c2f_41_50;
    }

    public void setFna_c2f_41_50(String fna_c2f_41_50) {
        this.fna_c2f_41_50 = fna_c2f_41_50;
    }

    public String getFna_c2f_50() {
        return fna_c2f_50;
    }

    public void setFna_c2f_50(String fna_c2f_50) {
        this.fna_c2f_50 = fna_c2f_50;
    }

    public String getFna_d_1() {
        return fna_d_1;
    }

    public void setFna_d_1(String fna_d_1) {
        this.fna_d_1 = fna_d_1;
    }

    public String getFna_d_2() {
        return fna_d_2;
    }

    public void setFna_d_2(String fna_d_2) {
        this.fna_d_2 = fna_d_2;
    }

    public String getFna_d_3() {
        return fna_d_3;
    }

    public void setFna_d_3(String fna_d_3) {
        this.fna_d_3 = fna_d_3;
    }

    public String getFna_d_desc() {
        return fna_d_desc;
    }

    public void setFna_d_desc(String fna_d_desc) {
        this.fna_d_desc = fna_d_desc;
    }

    public String getContactNo() {
        return contactNo;
    }

    public void setContactNo(String contactNo) {
        this.contactNo = contactNo;
    }

    public String getEduPri() {
        return eduPri;
    }

    public void setEduPri(String eduPri) {
        this.eduPri = eduPri;
    }

    public String getEduSec() {
        return eduSec;
    }

    public void setEduSec(String eduSec) {
        this.eduSec = eduSec;
    }

    public String getEduPostSec() {
        return eduPostSec;
    }

    public void setEduPostSec(String eduPostSec) {
        this.eduPostSec = eduPostSec;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getOwn_income() {
        return own_income;
    }

    public void setOwn_income(String own_income) {
        this.own_income = own_income;
    }

    public String getSavings() {
        return savings;
    }

    public void setSavings(String savings) {
        this.savings = savings;
    }

    public String getPremium_financing() {
        return premium_financing;
    }

    public void setPremium_financing(String premium_financing) {
        this.premium_financing = premium_financing;
    }

    public String getOthers_funds() {
        return others_funds;
    }

    public void setOthers_funds(String others_funds) {
        this.others_funds = others_funds;
    }

    public String getOthers_funds_desc() {
        return others_funds_desc;
    }

    public void setOthers_funds_desc(String others_funds_desc) {
        this.others_funds_desc = others_funds_desc;
    }

    public String getPlaceOfBirth() {
        return placeOfBirth;
    }

    public void setPlaceOfBirth(String placeOfBirth) {
        this.placeOfBirth = placeOfBirth;
    }

    public String getCountryOfCitizenship() {
        return countryOfCitizenship;
    }

    public void setCountryOfCitizenship(String countryOfCitizenship) {
        this.countryOfCitizenship = countryOfCitizenship;
    }

    public String getCountryOfIssue() {
        return countryOfIssue;
    }

    public void setCountryOfIssue(String countryOfIssue) {
        this.countryOfIssue = countryOfIssue;
    }
    
    public String getPassportNo() {
        return passportNo;
    }

    public void setPassportNo(String passportNo) {
        this.passportNo = passportNo;
    }

    public String getOccupationTitle() {
        return occupationTitle;
    }

    public void setOccupationTitle(String occupationTitle) {
        this.occupationTitle = occupationTitle;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyNature1() {
        return companyNature1;
    }

    public void setCompanyNature1(String companyNature1) {
        this.companyNature1 = companyNature1;
    }

    public String getCompanyNature2() {
        return companyNature2;
    }

    public void setCompanyNature2(String companyNature2) {
        this.companyNature2 = companyNature2;
    }

    public String getTaxResidency1() {
        return taxResidency1;
    }

    public void setTaxResidency1(String taxResidency1) {
        this.taxResidency1 = taxResidency1;
    }

    public String getTaxResidency2() {
        return taxResidency2;
    }

    public void setTaxResidency2(String taxResidency2) {
        this.taxResidency2 = taxResidency2;
    }

    public String getTaxResidency3() {
        return taxResidency3;
    }

    public void setTaxResidency3(String taxResidency3) {
        this.taxResidency3 = taxResidency3;
    }

    public String getTaxPin1() {
        return taxPin1;
    }

    public void setTaxPin1(String taxPin1) {
        this.taxPin1 = taxPin1;
    }

    public String getTaxPin2() {
        return taxPin2;
    }

    public void setTaxPin2(String taxPin2) {
        this.taxPin2 = taxPin2;
    }

    public String getTaxPin3() {
        return taxPin3;
    }

    public void setTaxPin3(String taxPin3) {
        this.taxPin3 = taxPin3;
    }

    public String getTaxReason1() {
        return taxReason1;
    }

    public void setTaxReason1(String taxReason1) {
        this.taxReason1 = taxReason1;
    }

    public String getTaxReason2() {
        return taxReason2;
    }

    public void setTaxReason2(String taxReason2) {
        this.taxReason2 = taxReason2;
    }

    public String getTaxReason3() {
        return taxReason3;
    }

    public void setTaxReason3(String taxReason3) {
        this.taxReason3 = taxReason3;
    }

    public String getTaxReasonB1() {
        return taxReasonB1;
    }

    public void setTaxReasonB1(String taxReasonB1) {
        this.taxReasonB1 = taxReasonB1;
    }

    public String getTaxReasonB2() {
        return taxReasonB2;
    }

    public void setTaxReasonB2(String taxReasonB2) {
        this.taxReasonB2 = taxReasonB2;
    }

    public String getTaxReasonB3() {
        return taxReasonB3;
    }

    public void setTaxReasonB3(String taxReasonB3) {
        this.taxReasonB3 = taxReasonB3;
    }

    public String getEduUni() {
        return eduUni;
    }

    public void setEduUni(String eduUni) {
        this.eduUni = eduUni;
    }

    public String getInsuranceCompany1_1() {
        return insuranceCompany1_1;
    }

    public void setInsuranceCompany1_1(String insuranceCompany1_1) {
        this.insuranceCompany1_1 = insuranceCompany1_1;
    }

    public String getInsuranceCompany1_2() {
        return insuranceCompany1_2;
    }

    public void setInsuranceCompany1_2(String insuranceCompany1_2) {
        this.insuranceCompany1_2 = insuranceCompany1_2;
    }

    public String getInsuranceCompany1_3() {
        return insuranceCompany1_3;
    }

    public void setInsuranceCompany1_3(String insuranceCompany1_3) {
        this.insuranceCompany1_3 = insuranceCompany1_3;
    }

    public String getInsuranceCompany2_1() {
        return insuranceCompany2_1;
    }

    public void setInsuranceCompany2_1(String insuranceCompany2_1) {
        this.insuranceCompany2_1 = insuranceCompany2_1;
    }

    public String getInsuranceCompany2_2() {
        return insuranceCompany2_2;
    }

    public void setInsuranceCompany2_2(String insuranceCompany2_2) {
        this.insuranceCompany2_2 = insuranceCompany2_2;
    }

    public String getInsuranceCompany2_3() {
        return insuranceCompany2_3;
    }

    public void setInsuranceCompany2_3(String insuranceCompany2_3) {
        this.insuranceCompany2_3 = insuranceCompany2_3;
    }

    public String getInsuranceCompany3_1() {
        return insuranceCompany3_1;
    }

    public void setInsuranceCompany3_1(String insuranceCompany3_1) {
        this.insuranceCompany3_1 = insuranceCompany3_1;
    }

    public String getInsuranceCompany3_2() {
        return insuranceCompany3_2;
    }

    public void setInsuranceCompany3_2(String insuranceCompany3_2) {
        this.insuranceCompany3_2 = insuranceCompany3_2;
    }

    public String getInsuranceCompany3_3() {
        return insuranceCompany3_3;
    }

    public void setInsuranceCompany3_3(String insuranceCompany3_3) {
        this.insuranceCompany3_3 = insuranceCompany3_3;
    }

    public String getInsuranceLife1() {
        return insuranceLife1;
    }

    public void setInsuranceLife1(String insuranceLife1) {
        this.insuranceLife1 = insuranceLife1;
    }

    public String getInsuranceSaving1() {
        return insuranceSaving1;
    }

    public void setInsuranceSaving1(String insuranceSaving1) {
        this.insuranceSaving1 = insuranceSaving1;
    }

    public String getInsuranceCritical1() {
        return insuranceCritical1;
    }

    public void setInsuranceCritical1(String insuranceCritical1) {
        this.insuranceCritical1 = insuranceCritical1;
    }

    public String getInsuranceOther1() {
        return insuranceOther1;
    }

    public void setInsuranceOther1(String insuranceOther1) {
        this.insuranceOther1 = insuranceOther1;
    }

    public String getInsuranceOtherDesc1() {
        return insuranceOtherDesc1;
    }

    public void setInsuranceOtherDesc1(String insuranceOtherDesc1) {
        this.insuranceOtherDesc1 = insuranceOtherDesc1;
    }

    public String getInsuranceSaving2() {
        return insuranceSaving2;
    }

    public void setInsuranceSaving2(String insuranceSaving2) {
        this.insuranceSaving2 = insuranceSaving2;
    }

    public String getInsuranceCritical2() {
        return insuranceCritical2;
    }

    public void setInsuranceCritical2(String insuranceCritical2) {
        this.insuranceCritical2 = insuranceCritical2;
    }

    public String getInsuranceOther2() {
        return insuranceOther2;
    }

    public void setInsuranceOther2(String insuranceOther2) {
        this.insuranceOther2 = insuranceOther2;
    }

    public String getInsuranceOtherDesc2() {
        return insuranceOtherDesc2;
    }

    public void setInsuranceOtherDesc2(String insuranceOtherDesc2) {
        this.insuranceOtherDesc2 = insuranceOtherDesc2;
    }

    public String getInsuranceSaving3() {
        return insuranceSaving3;
    }

    public void setInsuranceSaving3(String insuranceSaving3) {
        this.insuranceSaving3 = insuranceSaving3;
    }

    public String getInsuranceCritical3() {
        return insuranceCritical3;
    }

    public void setInsuranceCritical3(String insuranceCritical3) {
        this.insuranceCritical3 = insuranceCritical3;
    }

    public String getInsuranceOther3() {
        return insuranceOther3;
    }

    public void setInsuranceOther3(String insuranceOther3) {
        this.insuranceOther3 = insuranceOther3;
    }

    public String getInsuranceOtherDesc3() {
        return insuranceOtherDesc3;
    }

    public void setInsuranceOtherDesc3(String insuranceOtherDesc3) {
        this.insuranceOtherDesc3 = insuranceOtherDesc3;
    }

    public String getInsuranceYear1() {
        return insuranceYear1;
    }

    public void setInsuranceYear1(String insuranceYear1) {
        this.insuranceYear1 = insuranceYear1;
    }

    public String getInsuranceYear2() {
        return insuranceYear2;
    }

    public void setInsuranceYear2(String insuranceYear2) {
        this.insuranceYear2 = insuranceYear2;
    }

    public String getInsuranceYear3() {
        return insuranceYear3;
    }

    public void setInsuranceYear3(String insuranceYear3) {
        this.insuranceYear3 = insuranceYear3;
    }

    public String getInsuranceCurrency1() {
        return insuranceCurrency1;
    }

    public void setInsuranceCurrency1(String insuranceCurrency1) {
        this.insuranceCurrency1 = insuranceCurrency1;
    }

    public String getInsuranceCurrency2() {
        return insuranceCurrency2;
    }

    public void setInsuranceCurrency2(String insuranceCurrency2) {
        this.insuranceCurrency2 = insuranceCurrency2;
    }

    public String getInsuranceCurrency3() {
        return insuranceCurrency3;
    }

    public void setInsuranceCurrency3(String insuranceCurrency3) {
        this.insuranceCurrency3 = insuranceCurrency3;
    }

    public String getInsuranceLife2() {
        return insuranceLife2;
    }

    public void setInsuranceLife2(String insuranceLife2) {
        this.insuranceLife2 = insuranceLife2;
    }

    public String getInsuranceLife3() {
        return insuranceLife3;
    }

    public void setInsuranceLife3(String insuranceLife3) {
        this.insuranceLife3 = insuranceLife3;
    }
   
    public String getEmployed() {
        return employed;
    }

    public void setEmployed(String employed) {
        this.employed = employed;
    }

    public String getHomemaker() {
        return homemaker;
    }

    public void setHomemaker(String homemaker) {
        this.homemaker = homemaker;
    }

    public String getStudent() {
        return student;
    }

    public void setStudent(String student) {
        this.student = student;
    }

    public String getInvestor() {
        return investor;
    }

    public void setInvestor(String investor) {
        this.investor = investor;
    }

    public String getRetired() {
        return retired;
    }

    public void setRetired(String retired) {
        this.retired = retired;
    }

    public String getEmployedSelf() {
        return employedSelf;
    }

    public void setEmployedSelf(String employedSelf) {
        this.employedSelf = employedSelf;
    }

    public String getEmployedNon() {
        return employedNon;
    }

    public void setEmployedNon(String employedNon) {
        this.employedNon = employedNon;
    }

    public String getPartTime() {
        return partTime;
    }

    public void setPartTime(String partTime) {
        this.partTime = partTime;
    }

    public String getUltimateTotalLife() {
        return ultimateTotalLife;
    }

    public void setUltimateTotalLife(String ultimateTotalLife) {
        this.ultimateTotalLife = ultimateTotalLife;
    }

    public String getDeclinedYes() {
        return declinedYes;
    }

    public void setDeclinedYes(String declinedYes) {
        this.declinedYes = declinedYes;
    }

    public String getDeclinedNo() {
        return declinedNo;
    }

    public void setDeclinedNo(String declinedNo) {
        this.declinedNo = declinedNo;
    }

    public String getDeclinedDesc() {
        return declinedDesc;
    }

    public void setDeclinedDesc(String declinedDesc) {
        this.declinedDesc = declinedDesc;
    }

    public String getHazardousActivity() {
        return hazardousActivity;
    }

    public void setHazardousActivity(String hazardousActivity) {
        this.hazardousActivity = hazardousActivity;
    }

    public String getIncomeSalary() {
        return incomeSalary;
    }

    public void setIncomeSalary(String incomeSalary) {
        this.incomeSalary = incomeSalary;
    }

    public String getIncomeSalaryLastYear() {
        return incomeSalaryLastYear;
    }

    public void setIncomeSalaryLastYear(String incomeSalaryLastYear) {
        this.incomeSalaryLastYear = incomeSalaryLastYear;
    }

    public String getIncomeBonus() {
        return incomeBonus;
    }

    public void setIncomeBonus(String incomeBonus) {
        this.incomeBonus = incomeBonus;
    }

    public String getIncomeBonusLastYear() {
        return incomeBonusLastYear;
    }

    public void setIncomeBonusLastYear(String incomeBonusLastYear) {
        this.incomeBonusLastYear = incomeBonusLastYear;
    }

    public String getIncomeOther() {
        return incomeOther;
    }

    public void setIncomeOther(String incomeOther) {
        this.incomeOther = incomeOther;
    }

    public String getIncomeOtherLastYear() {
        return incomeOtherLastYear;
    }

    public void setIncomeOtherLastYear(String incomeOtherLastYear) {
        this.incomeOtherLastYear = incomeOtherLastYear;
    }

    public String getIncomeInterest() {
        return incomeInterest;
    }

    public void setIncomeInterest(String incomeInterest) {
        this.incomeInterest = incomeInterest;
    }

    public String getIncomeInterestLastYear() {
        return incomeInterestLastYear;
    }

    public void setIncomeInterestLastYear(String incomeInterestLastYear) {
        this.incomeInterestLastYear = incomeInterestLastYear;
    }

    public String getIncomeDividents() {
        return incomeDividents;
    }

    public void setIncomeDividents(String incomeDividents) {
        this.incomeDividents = incomeDividents;
    }

    public String getIncomeDividentsLastYear() {
        return incomeDividentsLastYear;
    }

    public void setIncomeDividentsLastYear(String incomeDividentsLastYear) {
        this.incomeDividentsLastYear = incomeDividentsLastYear;
    }

    public String getIncomeRentals() {
        return incomeRentals;
    }

    public void setIncomeRentals(String incomeRentals) {
        this.incomeRentals = incomeRentals;
    }

    public String getIncomeRentalsLastYear() {
        return incomeRentalsLastYear;
    }

    public void setIncomeRentalsLastYear(String incomeRentalsLastYear) {
        this.incomeRentalsLastYear = incomeRentalsLastYear;
    }

    public String getAssetCash() {
        return assetCash;
    }

    public void setAssetCash(String assetCash) {
        this.assetCash = assetCash;
    }

    public String getAssetInvestment() {
        return assetInvestment;
    }

    public void setAssetInvestment(String assetInvestment) {
        this.assetInvestment = assetInvestment;
    }

    public String getAssetRealEstate() {
        return assetRealEstate;
    }

    public void setAssetRealEstate(String assetRealEstate) {
        this.assetRealEstate = assetRealEstate;
    }

    public String getAssetNetBusinessInterest() {
        return assetNetBusinessInterest;
    }

    public void setAssetNetBusinessInterest(String assetNetBusinessInterest) {
        this.assetNetBusinessInterest = assetNetBusinessInterest;
    }

    public String getAssetProperties() {
        return assetProperties;
    }

    public void setAssetProperties(String assetProperties) {
        this.assetProperties = assetProperties;
    }

    public String getLiaLoan() {
        return liaLoan;
    }

    public void setLiaLoan(String liaLoan) {
        this.liaLoan = liaLoan;
    }

    public String getLiaMargin() {
        return liaMargin;
    }

    public void setLiaMargin(String liaMargin) {
        this.liaMargin = liaMargin;
    }

    public String getLiaLoanGurantee() {
        return liaLoanGurantee;
    }

    public void setLiaLoanGurantee(String liaLoanGurantee) {
        this.liaLoanGurantee = liaLoanGurantee;
    }

    public String getLiaMortgage() {
        return liaMortgage;
    }

    public void setLiaMortgage(String liaMortgage) {
        this.liaMortgage = liaMortgage;
    }

    public String getLiaOther() {
        return liaOther;
    }

    public void setLiaOther(String liaOther) {
        this.liaOther = liaOther;
    }

    public String getTotalAnnualIncome() {
        return totalAnnualIncome;
    }

    public void setTotalAnnualIncome(String totalAnnualIncome) {
        this.totalAnnualIncome = totalAnnualIncome;
    }

    public String getRealEstatePurchaseDate1() {
        return realEstatePurchaseDate1;
    }

    public void setRealEstatePurchaseDate1(String realEstatePurchaseDate1) {
        this.realEstatePurchaseDate1 = realEstatePurchaseDate1;
    }

    public String getRealEstatePurchaseDate2() {
        return realEstatePurchaseDate2;
    }

    public void setRealEstatePurchaseDate2(String realEstatePurchaseDate2) {
        this.realEstatePurchaseDate2 = realEstatePurchaseDate2;
    }

    public String getRealEstatePurchaseDate3() {
        return realEstatePurchaseDate3;
    }

    public void setRealEstatePurchaseDate3(String realEstatePurchaseDate3) {
        this.realEstatePurchaseDate3 = realEstatePurchaseDate3;
    }

    public String getBankruptYes() {
        return bankruptYes;
    }

    public void setBankruptYes(String bankruptYes) {
        this.bankruptYes = bankruptYes;
    }

    public String getBankruptNo() {
        return bankruptNo;
    }

    public void setBankruptNo(String bankruptNo) {
        this.bankruptNo = bankruptNo;
    }

    public String getBankruptDesc() {
        return bankruptDesc;
    }

    public void setBankruptDesc(String bankruptDesc) {
        this.bankruptDesc = bankruptDesc;
    }

    public String getTobarccoYes() {
        return tobarccoYes;
    }

    public void setTobarccoYes(String tobarccoYes) {
        this.tobarccoYes = tobarccoYes;
    }

    public String getReplaceInsuranceYes() {
        return replaceInsuranceYes;
    }

    public void setReplaceInsuranceYes(String replaceInsuranceYes) {
        this.replaceInsuranceYes = replaceInsuranceYes;
    }

    public String getReplaceInsuranceNo() {
        return replaceInsuranceNo;
    }

    public void setReplaceInsuranceNo(String replaceInsuranceNo) {
        this.replaceInsuranceNo = replaceInsuranceNo;
    }

    public String getTobarccoNo() {
        return tobarccoNo;
    }

    public void setTobarccoNo(String tobarccoNo) {
        this.tobarccoNo = tobarccoNo;
    }

    public Map<String, String> getOthers() {
        return others;
    }

    public void setOthers(Map<String, String> others) {
        this.others = others;
    }

    
}

